# Translation Guide {#translation-guide}

Localizing our website and apps is a very important part of making elementary OS available to as many people as possible. Instead of relying solely on an internal translation team, we use crowdsourcing so that anyone can submit translations with little to no technical knowledge. In order to keep our voice consistent across the entire platform, and to help new translators get started, we’ve put together this translation guide.

## Translating Applications {#translating-applications}

Apps are translated through Rosetta: the translation interface hosted on Launchpad. In order to submit translations, you should:

* Have a [Launchpad account](https://launchpad.net/+login)
* Set your [language preferences](https://launchpad.net/people/+me/+editlanguages)
* Browse our [translatable projects](https://translations.launchpad.net/elementary)

Once you’ve made a selection, you can provide suggestions for strings that have not yet been translated, or suggest changes to strings that have already been translated. These suggestions will be evaluated by a translation team member and they will choose the most appropriate one. For a more information about Rosetta, you can refer to their [documentation](https://help.launchpad.net/Translations/StartingToTranslate).

When translating you may encounter a situation where you have to decide between several ways of saying the same thing. In these situations we refer to the Ubuntu [general translator guide](https://help.launchpad.net/Translations/Guide), and for language specific issues we follow Ubuntu's [team translation guidelines](https://translations.launchpad.net/+groups/ubuntu-translators). Following these guides ensure uniform translations, while also allowing anyone to contribute.

If you don't want to use Rosetta, or want to make a lot a changes at once, you can also translate offline. To do so:

* Go to a project you want to translate
* Choose your language
* Click on "Download translation"

You are now able to request an e-mail, which gives you the right link to download the translations. Now:

* Choose your favorite text- or po-editor (e.g. [Poedit](https://apps.ubuntu.com/cat/applications//poedit/))
* Start translating

Once you've finished, use the "Upload translation" option on the same page that you downloaded them from.

## Translating our Website {#translating-our-website}

Our website is translated through [Transifex](https://www.transifex.com/projects/p/elementary-mvp/). In order to submit translations, you should:

* Have a [Transifex account](https://www.transifex.com/signup/)
* Join our [translation team](https://www.transifex.com/projects/p/elementary-mvp/)

For more information about Transifex, you can refer to their [documentation](http://docs.transifex.com/tutorials/txeditor).

As with our apps, we follow Ubuntu’s [general translator guide](https://help.launchpad.net/Translations/Guide), and for language specific issues we follow Ubuntu's [team translation guidelines](https://translations.launchpad.net/+groups/ubuntu-translators).
