/**
 * Custom Chart.js build. Contains Chart.Core.js, Chart.Doughnut.js, Chart.StackedBar.js.
 * @see https://github.com/nnnick/Chart.js
 * @see https://github.com/Regaddi/Chart.StackedBar.js
 */
(function(){"use strict";var e=this,t=e.Chart;var n=function(e){var t=this;this.canvas=e.canvas;this.ctx=e;var n=this.width=e.canvas.width;var i=this.height=e.canvas.height;this.aspectRatio=this.width/this.height;r.retinaScale(this);return this};n.defaults={global:{animation:true,animationSteps:60,animationEasing:"easeOutQuart",showScale:true,scaleOverride:false,scaleSteps:null,scaleStepWidth:null,scaleStartValue:null,scaleLineColor:"rgba(0,0,0,.1)",scaleLineWidth:1,scaleShowLabels:true,scaleLabel:"<%=value%>",scaleIntegersOnly:true,scaleBeginAtZero:false,scaleFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",scaleFontSize:12,scaleFontStyle:"normal",scaleFontColor:"#666",responsive:false,maintainAspectRatio:true,showTooltips:true,customTooltips:false,tooltipEvents:["mousemove","touchstart","touchmove","mouseout"],tooltipFillColor:"rgba(0,0,0,0.8)",tooltipFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",tooltipFontSize:14,tooltipFontStyle:"normal",tooltipFontColor:"#fff",tooltipTitleFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",tooltipTitleFontSize:14,tooltipTitleFontStyle:"bold",tooltipTitleFontColor:"#fff",tooltipYPadding:6,tooltipXPadding:6,tooltipCaretSize:8,tooltipCornerRadius:6,tooltipXOffset:10,tooltipTemplate:"<%if (label){%><%=label%>: <%}%><%= value %>",multiTooltipTemplate:"<%= value %>",multiTooltipKeyBackground:"#fff",onAnimationProgress:function(){},onAnimationComplete:function(){}}};n.types={};var r=n.helpers={};var i=r.each=function(e,t,n){var r=Array.prototype.slice.call(arguments,3);if(e){if(e.length===+e.length){var i;for(i=0;i<e.length;i++){t.apply(n,[e[i],i].concat(r))}}else{for(var s in e){t.apply(n,[e[s],s].concat(r))}}}},s=r.clone=function(e){var t={};i(e,function(n,r){if(e.hasOwnProperty(r))t[r]=n});return t},o=r.extend=function(e){i(Array.prototype.slice.call(arguments,1),function(t){i(t,function(n,r){if(t.hasOwnProperty(r))e[r]=n})});return e},u=r.merge=function(e,t){var n=Array.prototype.slice.call(arguments,0);n.unshift({});return o.apply(null,n)},a=r.indexOf=function(e,t){if(Array.prototype.indexOf){return e.indexOf(t)}else{for(var n=0;n<e.length;n++){if(e[n]===t)return n}return-1}},f=r.where=function(e,t){var n=[];r.each(e,function(e){if(t(e)){n.push(e)}});return n},l=r.findNextWhere=function(e,t,n){if(!n){n=-1}for(var r=n+1;r<e.length;r++){var i=e[r];if(t(i)){return i}}},c=r.findPreviousWhere=function(e,t,n){if(!n){n=e.length}for(var r=n-1;r>=0;r--){var i=e[r];if(t(i)){return i}}},h=r.inherits=function(e){var t=this;var n=e&&e.hasOwnProperty("constructor")?e.constructor:function(){return t.apply(this,arguments)};var r=function(){this.constructor=n};r.prototype=t.prototype;n.prototype=new r;n.extend=h;if(e)o(n.prototype,e);n.__super__=t.prototype;return n},p=r.noop=function(){},d=r.uid=function(){var e=0;return function(){return"chart-"+e++}}(),v=r.warn=function(e){if(window.console&&typeof window.console.warn=="function")console.warn(e)},m=r.amd=typeof define=="function"&&define.amd,g=r.isNumber=function(e){return!isNaN(parseFloat(e))&&isFinite(e)},y=r.max=function(e){return Math.max.apply(Math,e)},b=r.min=function(e){return Math.min.apply(Math,e)},w=r.cap=function(e,t,n){if(g(t)){if(e>t){return t}}else if(g(n)){if(e<n){return n}}return e},E=r.getDecimalPlaces=function(e){if(e%1!==0&&g(e)){return e.toString().split(".")[1].length}else{return 0}},S=r.radians=function(e){return e*(Math.PI/180)},x=r.getAngleFromPoint=function(e,t){var n=t.x-e.x,r=t.y-e.y,i=Math.sqrt(n*n+r*r);var s=Math.PI*2+Math.atan2(r,n);if(n<0&&r<0){s+=Math.PI*2}return{angle:s,distance:i}},T=r.aliasPixel=function(e){return e%2===0?0:.5},N=r.splineCurve=function(e,t,n,r){var i=Math.sqrt(Math.pow(t.x-e.x,2)+Math.pow(t.y-e.y,2)),s=Math.sqrt(Math.pow(n.x-t.x,2)+Math.pow(n.y-t.y,2)),o=r*i/(i+s),u=r*s/(i+s);return{inner:{x:t.x-o*(n.x-e.x),y:t.y-o*(n.y-e.y)},outer:{x:t.x+u*(n.x-e.x),y:t.y+u*(n.y-e.y)}}},C=r.calculateOrderOfMagnitude=function(e){return Math.floor(Math.log(e)/Math.LN10)},k=r.calculateScaleRange=function(e,t,n,r,i){var s=2,o=Math.floor(t/(n*1.5)),u=s>=o;var a=y(e),f=b(e);if(a===f){a+=.5;if(f>=.5&&!r){f-=.5}else{a+=.5}}var l=Math.abs(a-f),c=C(l),h=Math.ceil(a/(1*Math.pow(10,c)))*Math.pow(10,c),p=r?0:Math.floor(f/(1*Math.pow(10,c)))*Math.pow(10,c),d=h-p,v=Math.pow(10,c),m=Math.round(d/v);while((m>o||m*2<o)&&!u){if(m>o){v*=2;m=Math.round(d/v);if(m%1!==0){u=true}}else{if(i&&c>=0){if(v/2%1===0){v/=2;m=Math.round(d/v)}else{break}}else{v/=2;m=Math.round(d/v)}}}if(u){m=s;v=d/m}return{steps:m,stepValue:v,min:p,max:p+m*v}},L=r.template=function(e,t){function r(e,t){var r=!/\W/.test(e)?n[e]=n[e]:new Function("obj","var p=[],print=function(){p.push.apply(p,arguments);};"+"with(obj){p.push('"+e.replace(/[\r\t\n]/g," ").split("<%").join("	").replace(/((^|%>)[^\t]*)'/g,"$1\r").replace(/\t=(.*?)%>/g,"',$1,'").split("	").join("');").split("%>").join("p.push('").split("\r").join("\\'")+"');}return p.join('');");return t?r(t):r}if(e instanceof Function){return e(t)}var n={};return r(e,t)},A=r.generateLabels=function(e,t,n,r){var s=new Array(t);if(labelTemplateString){i(s,function(t,i){s[i]=L(e,{value:n+r*(i+1)})})}return s},O=r.easingEffects={linear:function(e){return e},easeInQuad:function(e){return e*e},easeOutQuad:function(e){return-1*e*(e-2)},easeInOutQuad:function(e){if((e/=1/2)<1)return 1/2*e*e;return-1/2*(--e*(e-2)-1)},easeInCubic:function(e){return e*e*e},easeOutCubic:function(e){return 1*((e=e/1-1)*e*e+1)},easeInOutCubic:function(e){if((e/=1/2)<1)return 1/2*e*e*e;return 1/2*((e-=2)*e*e+2)},easeInQuart:function(e){return e*e*e*e},easeOutQuart:function(e){return-1*((e=e/1-1)*e*e*e-1)},easeInOutQuart:function(e){if((e/=1/2)<1)return 1/2*e*e*e*e;return-1/2*((e-=2)*e*e*e-2)},easeInQuint:function(e){return 1*(e/=1)*e*e*e*e},easeOutQuint:function(e){return 1*((e=e/1-1)*e*e*e*e+1)},easeInOutQuint:function(e){if((e/=1/2)<1)return 1/2*e*e*e*e*e;return 1/2*((e-=2)*e*e*e*e+2)},easeInSine:function(e){return-1*Math.cos(e/1*(Math.PI/2))+1},easeOutSine:function(e){return 1*Math.sin(e/1*(Math.PI/2))},easeInOutSine:function(e){return-1/2*(Math.cos(Math.PI*e/1)-1)},easeInExpo:function(e){return e===0?1:1*Math.pow(2,10*(e/1-1))},easeOutExpo:function(e){return e===1?1:1*(-Math.pow(2,-10*e/1)+1)},easeInOutExpo:function(e){if(e===0)return 0;if(e===1)return 1;if((e/=1/2)<1)return 1/2*Math.pow(2,10*(e-1));return 1/2*(-Math.pow(2,-10*--e)+2)},easeInCirc:function(e){if(e>=1)return e;return-1*(Math.sqrt(1-(e/=1)*e)-1)},easeOutCirc:function(e){return 1*Math.sqrt(1-(e=e/1-1)*e)},easeInOutCirc:function(e){if((e/=1/2)<1)return-1/2*(Math.sqrt(1-e*e)-1);return 1/2*(Math.sqrt(1-(e-=2)*e)+1)},easeInElastic:function(e){var t=1.70158;var n=0;var r=1;if(e===0)return 0;if((e/=1)==1)return 1;if(!n)n=1*.3;if(r<Math.abs(1)){r=1;t=n/4}else t=n/(2*Math.PI)*Math.asin(1/r);return-(r*Math.pow(2,10*(e-=1))*Math.sin((e*1-t)*2*Math.PI/n))},easeOutElastic:function(e){var t=1.70158;var n=0;var r=1;if(e===0)return 0;if((e/=1)==1)return 1;if(!n)n=1*.3;if(r<Math.abs(1)){r=1;t=n/4}else t=n/(2*Math.PI)*Math.asin(1/r);return r*Math.pow(2,-10*e)*Math.sin((e*1-t)*2*Math.PI/n)+1},easeInOutElastic:function(e){var t=1.70158;var n=0;var r=1;if(e===0)return 0;if((e/=1/2)==2)return 1;if(!n)n=1*.3*1.5;if(r<Math.abs(1)){r=1;t=n/4}else t=n/(2*Math.PI)*Math.asin(1/r);if(e<1)return-.5*r*Math.pow(2,10*(e-=1))*Math.sin((e*1-t)*2*Math.PI/n);return r*Math.pow(2,-10*(e-=1))*Math.sin((e*1-t)*2*Math.PI/n)*.5+1},easeInBack:function(e){var t=1.70158;return 1*(e/=1)*e*((t+1)*e-t)},easeOutBack:function(e){var t=1.70158;return 1*((e=e/1-1)*e*((t+1)*e+t)+1)},easeInOutBack:function(e){var t=1.70158;if((e/=1/2)<1)return 1/2*e*e*(((t*=1.525)+1)*e-t);return 1/2*((e-=2)*e*(((t*=1.525)+1)*e+t)+2)},easeInBounce:function(e){return 1-O.easeOutBounce(1-e)},easeOutBounce:function(e){if((e/=1)<1/2.75){return 1*7.5625*e*e}else if(e<2/2.75){return 1*(7.5625*(e-=1.5/2.75)*e+.75)}else if(e<2.5/2.75){return 1*(7.5625*(e-=2.25/2.75)*e+.9375)}else{return 1*(7.5625*(e-=2.625/2.75)*e+.984375)}},easeInOutBounce:function(e){if(e<1/2)return O.easeInBounce(e*2)*.5;return O.easeOutBounce(e*2-1)*.5+1*.5}},M=r.requestAnimFrame=function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(e){return window.setTimeout(e,1e3/60)}}(),_=r.cancelAnimFrame=function(){return window.cancelAnimationFrame||window.webkitCancelAnimationFrame||window.mozCancelAnimationFrame||window.oCancelAnimationFrame||window.msCancelAnimationFrame||function(e){return window.clearTimeout(e,1e3/60)}}(),D=r.animationLoop=function(e,t,n,r,i,s){var o=0,u=O[n]||O.linear;var a=function(){o++;var n=o/t;var f=u(n);e.call(s,f,n,o);r.call(s,f,n);if(o<t){s.animationFrame=M(a)}else{i.apply(s)}};M(a)},P=r.getRelativePosition=function(e){var t,n;var r=e.originalEvent||e,i=e.currentTarget||e.srcElement,s=i.getBoundingClientRect();if(r.touches){t=r.touches[0].clientX-s.left;n=r.touches[0].clientY-s.top}else{t=r.clientX-s.left;n=r.clientY-s.top}return{x:t,y:n}},H=r.addEvent=function(e,t,n){if(e.addEventListener){e.addEventListener(t,n)}else if(e.attachEvent){e.attachEvent("on"+t,n)}else{e["on"+t]=n}},B=r.removeEvent=function(e,t,n){if(e.removeEventListener){e.removeEventListener(t,n,false)}else if(e.detachEvent){e.detachEvent("on"+t,n)}else{e["on"+t]=p}},j=r.bindEvents=function(e,t,n){if(!e.events)e.events={};i(t,function(t){e.events[t]=function(){n.apply(e,arguments)};H(e.chart.canvas,t,e.events[t])})},F=r.unbindEvents=function(e,t){i(t,function(t,n){B(e.chart.canvas,n,t)})},I=r.getMaximumWidth=function(e){var t=e.parentNode;return t.clientWidth},q=r.getMaximumHeight=function(e){var t=e.parentNode;return t.clientHeight},R=r.getMaximumSize=r.getMaximumWidth,U=r.retinaScale=function(e){var t=e.ctx,n=e.canvas.width,r=e.canvas.height;if(window.devicePixelRatio){t.canvas.style.width=n+"px";t.canvas.style.height=r+"px";t.canvas.height=r*window.devicePixelRatio;t.canvas.width=n*window.devicePixelRatio;t.scale(window.devicePixelRatio,window.devicePixelRatio)}},z=r.clear=function(e){e.ctx.clearRect(0,0,e.width,e.height)},W=r.fontString=function(e,t,n){return t+" "+e+"px "+n},X=r.longestText=function(e,t,n){e.font=t;var r=0;i(n,function(t){var n=e.measureText(t).width;r=n>r?n:r});return r},V=r.drawRoundedRectangle=function(e,t,n,r,i,s){e.beginPath();e.moveTo(t+s,n);e.lineTo(t+r-s,n);e.quadraticCurveTo(t+r,n,t+r,n+s);e.lineTo(t+r,n+i-s);e.quadraticCurveTo(t+r,n+i,t+r-s,n+i);e.lineTo(t+s,n+i);e.quadraticCurveTo(t,n+i,t,n+i-s);e.lineTo(t,n+s);e.quadraticCurveTo(t,n,t+s,n);e.closePath()};n.instances={};n.Type=function(e,t,r){this.options=t;this.chart=r;this.id=d();n.instances[this.id]=this;if(t.responsive){this.resize()}this.initialize.call(this,e)};o(n.Type.prototype,{initialize:function(){return this},clear:function(){z(this.chart);return this},stop:function(){r.cancelAnimFrame.call(e,this.animationFrame);return this},resize:function(e){this.stop();var t=this.chart.canvas,n=I(this.chart.canvas),r=this.options.maintainAspectRatio?n/this.chart.aspectRatio:q(this.chart.canvas);t.width=this.chart.width=n;t.height=this.chart.height=r;U(this.chart);if(typeof e==="function"){e.apply(this,Array.prototype.slice.call(arguments,1))}return this},reflow:p,render:function(e){if(e){this.reflow()}if(this.options.animation&&!e){r.animationLoop(this.draw,this.options.animationSteps,this.options.animationEasing,this.options.onAnimationProgress,this.options.onAnimationComplete,this)}else{this.draw();this.options.onAnimationComplete.call(this)}return this},generateLegend:function(){return L(this.options.legendTemplate,this)},destroy:function(){this.clear();F(this,this.events);var e=this.chart.canvas;e.width=this.chart.width;e.height=this.chart.height;if(e.style.removeProperty){e.style.removeProperty("width");e.style.removeProperty("height")}else{e.style.removeAttribute("width");e.style.removeAttribute("height")}delete n.instances[this.id]},showTooltip:function(e,t){if(typeof this.activeElements==="undefined")this.activeElements=[];var s=function(e){var t=false;if(e.length!==this.activeElements.length){t=true;return t}i(e,function(e,n){if(e!==this.activeElements[n]){t=true}},this);return t}.call(this,e);if(!s&&!t){return}else{this.activeElements=e}this.draw();if(this.options.customTooltips){this.options.customTooltips(false)}if(e.length>0){if(this.datasets&&this.datasets.length>1){var o,u;for(var f=this.datasets.length-1;f>=0;f--){o=this.datasets[f].points||this.datasets[f].bars||this.datasets[f].segments;u=a(o,e[0]);if(u!==-1){break}}var l=[],c=[],h=function(e){var t=[],n,i=[],s=[],o,a,f,h;r.each(this.datasets,function(e){n=e.points||e.bars||e.segments;if(n[u]&&n[u].hasValue()){t.push(n[u])}});r.each(t,function(e){i.push(e.x);s.push(e.y);l.push(r.template(this.options.multiTooltipTemplate,e));c.push({fill:e._saved.fillColor||e.fillColor,stroke:e._saved.strokeColor||e.strokeColor})},this);h=b(s);a=y(s);f=b(i);o=y(i);return{x:f>this.chart.width/2?f:o,y:(h+a)/2}}.call(this,u);(new n.MultiTooltip({x:h.x,y:h.y,xPadding:this.options.tooltipXPadding,yPadding:this.options.tooltipYPadding,xOffset:this.options.tooltipXOffset,fillColor:this.options.tooltipFillColor,textColor:this.options.tooltipFontColor,fontFamily:this.options.tooltipFontFamily,fontStyle:this.options.tooltipFontStyle,fontSize:this.options.tooltipFontSize,titleTextColor:this.options.tooltipTitleFontColor,titleFontFamily:this.options.tooltipTitleFontFamily,titleFontStyle:this.options.tooltipTitleFontStyle,titleFontSize:this.options.tooltipTitleFontSize,cornerRadius:this.options.tooltipCornerRadius,labels:l,legendColors:c,legendColorBackground:this.options.multiTooltipKeyBackground,title:e[0].label,chart:this.chart,ctx:this.chart.ctx,custom:this.options.customTooltips})).draw()}else{i(e,function(e){var t=e.tooltipPosition();(new n.Tooltip({x:Math.round(t.x),y:Math.round(t.y),xPadding:this.options.tooltipXPadding,yPadding:this.options.tooltipYPadding,fillColor:this.options.tooltipFillColor,textColor:this.options.tooltipFontColor,fontFamily:this.options.tooltipFontFamily,fontStyle:this.options.tooltipFontStyle,fontSize:this.options.tooltipFontSize,caretHeight:this.options.tooltipCaretSize,cornerRadius:this.options.tooltipCornerRadius,text:L(this.options.tooltipTemplate,e),chart:this.chart,custom:this.options.customTooltips})).draw()},this)}}return this},toBase64Image:function(){return this.chart.canvas.toDataURL.apply(this.chart.canvas,arguments)}});n.Type.extend=function(e){var t=this;var r=function(){return t.apply(this,arguments)};r.prototype=s(t.prototype);o(r.prototype,e);r.extend=n.Type.extend;if(e.name||t.prototype.name){var i=e.name||t.prototype.name;var a=n.defaults[t.prototype.name]?s(n.defaults[t.prototype.name]):{};n.defaults[i]=o(a,e.defaults);n.types[i]=r;n.prototype[i]=function(e,t){var s=u(n.defaults.global,n.defaults[i],t||{});return new r(e,s,this)}}else{v("Name not provided for this chart, so it hasn't been registered")}return t};n.Element=function(e){o(this,e);this.initialize.apply(this,arguments);this.save()};o(n.Element.prototype,{initialize:function(){},restore:function(e){if(!e){o(this,this._saved)}else{i(e,function(e){this[e]=this._saved[e]},this)}return this},save:function(){this._saved=s(this);delete this._saved._saved;return this},update:function(e){i(e,function(e,t){this._saved[t]=this[t];this[t]=e},this);return this},transition:function(e,t){i(e,function(e,n){this[n]=(e-this._saved[n])*t+this._saved[n]},this);return this},tooltipPosition:function(){return{x:this.x,y:this.y}},hasValue:function(){return g(this.value)}});n.Element.extend=h;n.Point=n.Element.extend({display:true,inRange:function(e,t){var n=this.hitDetectionRadius+this.radius;return Math.pow(e-this.x,2)+Math.pow(t-this.y,2)<Math.pow(n,2)},draw:function(){if(this.display){var e=this.ctx;e.beginPath();e.arc(this.x,this.y,this.radius,0,Math.PI*2);e.closePath();e.strokeStyle=this.strokeColor;e.lineWidth=this.strokeWidth;e.fillStyle=this.fillColor;e.fill();e.stroke()}}});n.Arc=n.Element.extend({inRange:function(e,t){var n=r.getAngleFromPoint(this,{x:e,y:t});var i=n.angle>=this.startAngle&&n.angle<=this.endAngle,s=n.distance>=this.innerRadius&&n.distance<=this.outerRadius;return i&&s},tooltipPosition:function(){var e=this.startAngle+(this.endAngle-this.startAngle)/2,t=(this.outerRadius-this.innerRadius)/2+this.innerRadius;return{x:this.x+Math.cos(e)*t,y:this.y+Math.sin(e)*t}},draw:function(e){var t=e||1;var n=this.ctx;n.beginPath();n.arc(this.x,this.y,this.outerRadius,this.startAngle,this.endAngle);n.arc(this.x,this.y,this.innerRadius,this.endAngle,this.startAngle,true);n.closePath();n.strokeStyle=this.strokeColor;n.lineWidth=this.strokeWidth;n.fillStyle=this.fillColor;n.fill();n.lineJoin="bevel";if(this.showStroke){n.stroke()}}});n.Rectangle=n.Element.extend({draw:function(){var e=this.ctx,t=this.width/2,n=this.x-t,r=this.x+t,i=this.base-(this.base-this.y),s=this.strokeWidth/2;if(this.showStroke){n+=s;r-=s;i+=s}e.beginPath();e.fillStyle=this.fillColor;e.strokeStyle=this.strokeColor;e.lineWidth=this.strokeWidth;e.moveTo(n,this.base);e.lineTo(n,i);e.lineTo(r,i);e.lineTo(r,this.base);e.fill();if(this.showStroke){e.stroke()}},height:function(){return this.base-this.y},inRange:function(e,t){return e>=this.x-this.width/2&&e<=this.x+this.width/2&&t>=this.y&&t<=this.base}});n.Tooltip=n.Element.extend({draw:function(){var e=this.chart.ctx;e.font=W(this.fontSize,this.fontStyle,this.fontFamily);this.xAlign="center";this.yAlign="above";var t=this.caretPadding=2;var n=e.measureText(this.text).width+2*this.xPadding,r=this.fontSize+2*this.yPadding,i=r+this.caretHeight+t;if(this.x+n/2>this.chart.width){this.xAlign="left"}else if(this.x-n/2<0){this.xAlign="right"}if(this.y-i<0){this.yAlign="below"}var s=this.x-n/2,o=this.y-i;e.fillStyle=this.fillColor;if(this.custom){this.custom(this)}else{switch(this.yAlign){case"above":e.beginPath();e.moveTo(this.x,this.y-t);e.lineTo(this.x+this.caretHeight,this.y-(t+this.caretHeight));e.lineTo(this.x-this.caretHeight,this.y-(t+this.caretHeight));e.closePath();e.fill();break;case"below":o=this.y+t+this.caretHeight;e.beginPath();e.moveTo(this.x,this.y+t);e.lineTo(this.x+this.caretHeight,this.y+t+this.caretHeight);e.lineTo(this.x-this.caretHeight,this.y+t+this.caretHeight);e.closePath();e.fill();break}switch(this.xAlign){case"left":s=this.x-n+(this.cornerRadius+this.caretHeight);break;case"right":s=this.x-(this.cornerRadius+this.caretHeight);break}V(e,s,o,n,r,this.cornerRadius);e.fill();e.fillStyle=this.textColor;e.textAlign="center";e.textBaseline="middle";e.fillText(this.text,s+n/2,o+r/2)}}});n.MultiTooltip=n.Element.extend({initialize:function(){this.font=W(this.fontSize,this.fontStyle,this.fontFamily);this.titleFont=W(this.titleFontSize,this.titleFontStyle,this.titleFontFamily);this.height=this.labels.length*this.fontSize+(this.labels.length-1)*(this.fontSize/2)+this.yPadding*2+this.titleFontSize*1.5;this.ctx.font=this.titleFont;var e=this.ctx.measureText(this.title).width,t=X(this.ctx,this.font,this.labels)+this.fontSize+3,n=y([t,e]);this.width=n+this.xPadding*2;var r=this.height/2;if(this.y-r<0){this.y=r}else if(this.y+r>this.chart.height){this.y=this.chart.height-r}if(this.x>this.chart.width/2){this.x-=this.xOffset+this.width}else{this.x+=this.xOffset}},getLineHeight:function(e){var t=this.y-this.height/2+this.yPadding,n=e-1;if(e===0){return t+this.titleFontSize/2}else{return t+(this.fontSize*1.5*n+this.fontSize/2)+this.titleFontSize*1.5}},draw:function(){if(this.custom){this.custom(this)}else{V(this.ctx,this.x,this.y-this.height/2,this.width,this.height,this.cornerRadius);var e=this.ctx;e.fillStyle=this.fillColor;e.fill();e.closePath();e.textAlign="left";e.textBaseline="middle";e.fillStyle=this.titleTextColor;e.font=this.titleFont;e.fillText(this.title,this.x+this.xPadding,this.getLineHeight(0));e.font=this.font;r.each(this.labels,function(t,n){e.fillStyle=this.textColor;e.fillText(t,this.x+this.xPadding+this.fontSize+3,this.getLineHeight(n+1));e.fillStyle=this.legendColorBackground;e.fillRect(this.x+this.xPadding,this.getLineHeight(n+1)-this.fontSize/2,this.fontSize,this.fontSize);e.fillStyle=this.legendColors[n].fill;e.fillRect(this.x+this.xPadding,this.getLineHeight(n+1)-this.fontSize/2,this.fontSize,this.fontSize)},this)}}});n.Scale=n.Element.extend({initialize:function(){this.fit()},buildYLabels:function(){this.yLabels=[];var e=E(this.stepValue);for(var t=0;t<=this.steps;t++){this.yLabels.push(L(this.templateString,{value:(this.min+t*this.stepValue).toFixed(e)}))}this.yLabelWidth=this.display&&this.showLabels?X(this.ctx,this.font,this.yLabels):0},addXLabel:function(e){this.xLabels.push(e);this.valuesCount++;this.fit()},removeXLabel:function(){this.xLabels.shift();this.valuesCount--;this.fit()},fit:function(){this.startPoint=this.display?this.fontSize:0;this.endPoint=this.display?this.height-this.fontSize*1.5-5:this.height;this.startPoint+=this.padding;this.endPoint-=this.padding;var e=this.endPoint-this.startPoint,t;this.calculateYRange(e);this.buildYLabels();this.calculateXLabelRotation();while(e>this.endPoint-this.startPoint){e=this.endPoint-this.startPoint;t=this.yLabelWidth;this.calculateYRange(e);this.buildYLabels();if(t<this.yLabelWidth){this.calculateXLabelRotation()}}},calculateXLabelRotation:function(){this.ctx.font=this.font;var e=this.ctx.measureText(this.xLabels[0]).width,t=this.ctx.measureText(this.xLabels[this.xLabels.length-1]).width,n,r;this.xScalePaddingRight=t/2+3;this.xScalePaddingLeft=e/2>this.yLabelWidth+10?e/2:this.yLabelWidth+10;this.xLabelRotation=0;if(this.display){var i=X(this.ctx,this.font,this.xLabels),s,o;this.xLabelWidth=i;var u=Math.floor(this.calculateX(1)-this.calculateX(0))-6;while(this.xLabelWidth>u&&this.xLabelRotation===0||this.xLabelWidth>u&&this.xLabelRotation<=90&&this.xLabelRotation>0){s=Math.cos(S(this.xLabelRotation));n=s*e;r=s*t;if(n+this.fontSize/2>this.yLabelWidth+8){this.xScalePaddingLeft=n+this.fontSize/2}this.xScalePaddingRight=this.fontSize/2;this.xLabelRotation++;this.xLabelWidth=s*i}if(this.xLabelRotation>0){this.endPoint-=Math.sin(S(this.xLabelRotation))*i+3}}else{this.xLabelWidth=0;this.xScalePaddingRight=this.padding;this.xScalePaddingLeft=this.padding}},calculateYRange:p,drawingArea:function(){return this.startPoint-this.endPoint},calculateY:function(e){var t=this.drawingArea()/(this.min-this.max);return this.endPoint-t*(e-this.min)},calculateX:function(e){var t=this.xLabelRotation>0,n=this.width-(this.xScalePaddingLeft+this.xScalePaddingRight),r=n/(this.valuesCount-(this.offsetGridLines?0:1)),i=r*e+this.xScalePaddingLeft;if(this.offsetGridLines){i+=r/2}return Math.round(i)},update:function(e){r.extend(this,e);this.fit()},draw:function(){var e=this.ctx,t=(this.endPoint-this.startPoint)/this.steps,n=Math.round(this.xScalePaddingLeft);if(this.display){e.fillStyle=this.textColor;e.font=this.font;i(this.yLabels,function(i,s){var o=this.endPoint-t*s,u=Math.round(o),a=this.showHorizontalLines;e.textAlign="right";e.textBaseline="middle";if(this.showLabels){e.fillText(i,n-10,o)}if(s===0&&!a){a=true}if(a){e.beginPath()}if(s>0){e.lineWidth=this.gridLineWidth;e.strokeStyle=this.gridLineColor}else{e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor}u+=r.aliasPixel(e.lineWidth);if(a){e.moveTo(n,u);e.lineTo(this.width,u);e.stroke();e.closePath()}e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor;e.beginPath();e.moveTo(n-5,u);e.lineTo(n,u);e.stroke();e.closePath()},this);i(this.xLabels,function(t,n){var r=this.calculateX(n)+T(this.lineWidth),i=this.calculateX(n-(this.offsetGridLines?.5:0))+T(this.lineWidth),s=this.xLabelRotation>0,o=this.showVerticalLines;if(n===0&&!o){o=true}if(o){e.beginPath()}if(n>0){e.lineWidth=this.gridLineWidth;e.strokeStyle=this.gridLineColor}else{e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor}if(o){e.moveTo(i,this.endPoint);e.lineTo(i,this.startPoint-3);e.stroke();e.closePath()}e.lineWidth=this.lineWidth;e.strokeStyle=this.lineColor;e.beginPath();e.moveTo(i,this.endPoint);e.lineTo(i,this.endPoint+5);e.stroke();e.closePath();e.save();e.translate(r,s?this.endPoint+12:this.endPoint+8);e.rotate(S(this.xLabelRotation)*-1);e.font=this.font;e.textAlign=s?"right":"center";e.textBaseline=s?"middle":"top";e.fillText(t,0,0);e.restore()},this)}}});n.RadialScale=n.Element.extend({initialize:function(){this.size=b([this.height,this.width]);this.drawingArea=this.display?this.size/2-(this.fontSize/2+this.backdropPaddingY):this.size/2},calculateCenterOffset:function(e){var t=this.drawingArea/(this.max-this.min);return(e-this.min)*t},update:function(){if(!this.lineArc){this.setScaleSize()}else{this.drawingArea=this.display?this.size/2-(this.fontSize/2+this.backdropPaddingY):this.size/2}this.buildYLabels()},buildYLabels:function(){this.yLabels=[];var e=E(this.stepValue);for(var t=0;t<=this.steps;t++){this.yLabels.push(L(this.templateString,{value:(this.min+t*this.stepValue).toFixed(e)}))}},getCircumference:function(){return Math.PI*2/this.valuesCount},setScaleSize:function(){var e=b([this.height/2-this.pointLabelFontSize-5,this.width/2]),t,n,r,i,s=this.width,o,u,a=0,f,l,c,h,p,d,v;this.ctx.font=W(this.pointLabelFontSize,this.pointLabelFontStyle,this.pointLabelFontFamily);for(n=0;n<this.valuesCount;n++){t=this.getPointPosition(n,e);r=this.ctx.measureText(L(this.templateString,{value:this.labels[n]})).width+5;if(n===0||n===this.valuesCount/2){i=r/2;if(t.x+i>s){s=t.x+i;o=n}if(t.x-i<a){a=t.x-i;f=n}}else if(n<this.valuesCount/2){if(t.x+r>s){s=t.x+r;o=n}}else if(n>this.valuesCount/2){if(t.x-r<a){a=t.x-r;f=n}}}c=a;h=Math.ceil(s-this.width);u=this.getIndexAngle(o);l=this.getIndexAngle(f);p=h/Math.sin(u+Math.PI/2);d=c/Math.sin(l+Math.PI/2);p=g(p)?p:0;d=g(d)?d:0;this.drawingArea=e-(d+p)/2;this.setCenterPoint(d,p)},setCenterPoint:function(e,t){var n=this.width-t-this.drawingArea,r=e+this.drawingArea;this.xCenter=(r+n)/2;this.yCenter=this.height/2},getIndexAngle:function(e){var t=Math.PI*2/this.valuesCount;return e*t-Math.PI/2},getPointPosition:function(e,t){var n=this.getIndexAngle(e);return{x:Math.cos(n)*t+this.xCenter,y:Math.sin(n)*t+this.yCenter}},draw:function(){if(this.display){var e=this.ctx;i(this.yLabels,function(t,n){if(n>0){var r=n*(this.drawingArea/this.steps),i=this.yCenter-r,s;if(this.lineWidth>0){e.strokeStyle=this.lineColor;e.lineWidth=this.lineWidth;if(this.lineArc){e.beginPath();e.arc(this.xCenter,this.yCenter,r,0,Math.PI*2);e.closePath();e.stroke()}else{e.beginPath();for(var o=0;o<this.valuesCount;o++){s=this.getPointPosition(o,this.calculateCenterOffset(this.min+n*this.stepValue));if(o===0){e.moveTo(s.x,s.y)}else{e.lineTo(s.x,s.y)}}e.closePath();e.stroke()}}if(this.showLabels){e.font=W(this.fontSize,this.fontStyle,this.fontFamily);if(this.showLabelBackdrop){var u=e.measureText(t).width;e.fillStyle=this.backdropColor;e.fillRect(this.xCenter-u/2-this.backdropPaddingX,i-this.fontSize/2-this.backdropPaddingY,u+this.backdropPaddingX*2,this.fontSize+this.backdropPaddingY*2)}e.textAlign="center";e.textBaseline="middle";e.fillStyle=this.fontColor;e.fillText(t,this.xCenter,i)}}},this);if(!this.lineArc){e.lineWidth=this.angleLineWidth;e.strokeStyle=this.angleLineColor;for(var t=this.valuesCount-1;t>=0;t--){if(this.angleLineWidth>0){var n=this.getPointPosition(t,this.calculateCenterOffset(this.max));e.beginPath();e.moveTo(this.xCenter,this.yCenter);e.lineTo(n.x,n.y);e.stroke();e.closePath()}var r=this.getPointPosition(t,this.calculateCenterOffset(this.max)+5);e.font=W(this.pointLabelFontSize,this.pointLabelFontStyle,this.pointLabelFontFamily);e.fillStyle=this.pointLabelFontColor;var s=this.labels.length,o=this.labels.length/2,u=o/2,a=t<u||t>s-u,f=t===u||t===s-u;if(t===0){e.textAlign="center"}else if(t===o){e.textAlign="center"}else if(t<o){e.textAlign="left"}else{e.textAlign="right"}if(f){e.textBaseline="middle"}else if(a){e.textBaseline="bottom"}else{e.textBaseline="top"}e.fillText(this.labels[t],r.x,r.y)}}}}});r.addEvent(window,"resize",function(){var e;return function(){clearTimeout(e);e=setTimeout(function(){i(n.instances,function(e){if(e.options.responsive){e.resize(e.render,true)}})},50)}}());if(m){define(function(){return n})}else if(typeof module==="object"&&module.exports){module.exports=n}e.Chart=n;n.noConflict=function(){e.Chart=t;return n}}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers;var r={segmentShowStroke:true,segmentStrokeColor:"#fff",segmentStrokeWidth:2,percentageInnerCutout:50,animationSteps:100,animationEasing:"easeOutBounce",animateRotate:true,animateScale:false,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<segments.length; i++){%><li><span style="background-color:<%=segments[i].fillColor%>"></span><%if(segments[i].label){%><%=segments[i].label%><%}%></li><%}%></ul>'};t.Type.extend({name:"Doughnut",defaults:r,initialize:function(e){this.segments=[];this.outerRadius=(n.min([this.chart.width,this.chart.height])-this.options.segmentStrokeWidth/2)/2;this.SegmentArc=t.Arc.extend({ctx:this.chart.ctx,x:this.chart.width/2,y:this.chart.height/2});if(this.options.showTooltips){n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getSegmentsAtEvent(e):[];n.each(this.segments,function(e){e.restore(["fillColor"])});n.each(t,function(e){e.fillColor=e.highlightColor});this.showTooltip(t)})}this.calculateTotal(e);n.each(e,function(e,t){this.addData(e,t,true)},this);this.render()},getSegmentsAtEvent:function(e){var t=[];var r=n.getRelativePosition(e);n.each(this.segments,function(e){if(e.inRange(r.x,r.y))t.push(e)},this);return t},addData:function(e,t,n){var r=t||this.segments.length;this.segments.splice(r,0,new this.SegmentArc({value:e.value,outerRadius:this.options.animateScale?0:this.outerRadius,innerRadius:this.options.animateScale?0:this.outerRadius/100*this.options.percentageInnerCutout,fillColor:e.color,highlightColor:e.highlight||e.color,showStroke:this.options.segmentShowStroke,strokeWidth:this.options.segmentStrokeWidth,strokeColor:this.options.segmentStrokeColor,startAngle:Math.PI*1.5,circumference:this.options.animateRotate?0:this.calculateCircumference(e.value),label:e.label}));if(!n){this.reflow();this.update()}},calculateCircumference:function(e){return Math.PI*2*(e/this.total)},calculateTotal:function(e){this.total=0;n.each(e,function(e){this.total+=e.value},this)},update:function(){this.calculateTotal(this.segments);n.each(this.activeElements,function(e){e.restore(["fillColor"])});n.each(this.segments,function(e){e.save()});this.render()},removeData:function(e){var t=n.isNumber(e)?e:this.segments.length-1;this.segments.splice(t,1);this.reflow();this.update()},reflow:function(){n.extend(this.SegmentArc.prototype,{x:this.chart.width/2,y:this.chart.height/2});this.outerRadius=(n.min([this.chart.width,this.chart.height])-this.options.segmentStrokeWidth/2)/2;n.each(this.segments,function(e){e.update({outerRadius:this.outerRadius,innerRadius:this.outerRadius/100*this.options.percentageInnerCutout})},this)},draw:function(e){var t=e?e:1;this.clear();n.each(this.segments,function(e,n){e.transition({circumference:this.calculateCircumference(e.value),outerRadius:this.outerRadius,innerRadius:this.outerRadius/100*this.options.percentageInnerCutout},t);e.endAngle=e.startAngle+e.circumference;e.draw();if(n===0){e.startAngle=Math.PI*1.5}if(n<this.segments.length-1){this.segments[n+1].startAngle=e.endAngle}},this)}});t.types.Doughnut.extend({name:"Pie",defaults:n.merge(r,{percentageInnerCutout:0})})}).call(this);(function(){"use strict";var e=this,t=e.Chart,n=t.helpers;var r={scaleBeginAtZero:true,scaleShowGridLines:true,scaleGridLineColor:"rgba(0,0,0,.05)",scaleGridLineWidth:1,barShowStroke:true,barStrokeWidth:2,barValueSpacing:5,relativeBars:false,legendTemplate:'<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].fillColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>'};t.Type.extend({name:"StackedBar",defaults:r,initialize:function(e){var r=this.options;this.ScaleClass=t.Scale.extend({offsetGridLines:true,calculateBarX:function(e){return this.calculateX(e)},calculateBarY:function(e,t,n,i){var s=0,o=0;for(var u=0;u<e.length;u++){o+=e[u].bars[n].value}for(u=t;u<e.length;u++){if(u===t&&i){s+=i}else{s+=e[u].bars[n].value}}if(r.relativeBars){s=s/o*100}return this.calculateY(s)},calculateBaseWidth:function(){return this.calculateX(1)-this.calculateX(0)-2*r.barValueSpacing},calculateBaseHeight:function(){return this.calculateY(1)-this.calculateY(0)},calculateBarWidth:function(e){return this.calculateBaseWidth()},calculateBarHeight:function(e,t,n,i){var s=0;for(var o=0;o<e.length;o++){s+=e[o].bars[n].value}if(!i){i=e[t].bars[n].value}if(r.relativeBars){i=i/s*100}return this.calculateY(i)}});this.datasets=[];if(this.options.showTooltips){n.bindEvents(this,this.options.tooltipEvents,function(e){var t=e.type!=="mouseout"?this.getBarsAtEvent(e):[];this.eachBars(function(e){e.restore(["fillColor","strokeColor"])});n.each(t,function(e){e.fillColor=e.highlightFill;e.strokeColor=e.highlightStroke});this.showTooltip(t)})}this.BarClass=t.Rectangle.extend({strokeWidth:this.options.barStrokeWidth,showStroke:this.options.barShowStroke,ctx:this.chart.ctx});n.each(e.datasets,function(t,r){var i={label:t.label||null,fillColor:t.fillColor,strokeColor:t.strokeColor,bars:[]};this.datasets.push(i);n.each(t.data,function(r,s){if(n.isNumber(r)){i.bars.push(new this.BarClass({value:r,label:e.labels[s],datasetLabel:t.label,strokeColor:t.strokeColor,fillColor:t.fillColor,highlightFill:t.highlightFill||t.fillColor,highlightStroke:t.highlightStroke||t.strokeColor}))}},this)},this);this.buildScale(e.labels);this.eachBars(function(e,t,r){n.extend(e,{base:this.scale.endPoint,height:0,width:this.scale.calculateBarWidth(this.datasets.length),x:this.scale.calculateBarX(t),y:this.scale.endPoint});e.save()},this);this.render()},update:function(){this.scale.update();n.each(this.activeElements,function(e){e.restore(["fillColor","strokeColor"])});this.eachBars(function(e){e.save()});this.render()},eachBars:function(e){n.each(this.datasets,function(t,r){n.each(t.bars,e,this,r)},this)},getBarsAtEvent:function(e){var t=[],r=n.getRelativePosition(e),i=function(e){t.push(e.bars[s])},s;for(var o=0;o<this.datasets.length;o++){for(s=0;s<this.datasets[o].bars.length;s++){if(this.datasets[o].bars[s].inRange(r.x,r.y)){n.each(this.datasets,i);return t}}}return t},buildScale:function(e){var t=this;var r=function(){var e=[];n.each(t.datasets,function(r){n.each(r.bars,function(n,r){if(!e[r])e[r]=0;if(t.options.relativeBars){e[r]=100}else{e[r]+=n.value}})});return e};var i={templateString:this.options.scaleLabel,height:this.chart.height,width:this.chart.width,ctx:this.chart.ctx,textColor:this.options.scaleFontColor,fontSize:this.options.scaleFontSize,fontStyle:this.options.scaleFontStyle,fontFamily:this.options.scaleFontFamily,valuesCount:e.length,beginAtZero:this.options.scaleBeginAtZero,integersOnly:this.options.scaleIntegersOnly,calculateYRange:function(e){var t=n.calculateScaleRange(r(),e,this.fontSize,this.beginAtZero,this.integersOnly);n.extend(this,t)},xLabels:this.options.xLabels||e,font:n.fontString(this.options.scaleFontSize,this.options.scaleFontStyle,this.options.scaleFontFamily),lineWidth:this.options.scaleLineWidth,lineColor:this.options.scaleLineColor,gridLineWidth:this.options.scaleShowGridLines?this.options.scaleGridLineWidth:0,gridLineColor:this.options.scaleShowGridLines?this.options.scaleGridLineColor:"rgba(0,0,0,0)",padding:this.options.showScale?0:this.options.barShowStroke?this.options.barStrokeWidth:0,showLabels:this.options.scaleShowLabels,display:this.options.showScale};if(this.options.scaleOverride){n.extend(i,{calculateYRange:n.noop,steps:this.options.scaleSteps,stepValue:this.options.scaleStepWidth,min:this.options.scaleStartValue,max:this.options.scaleStartValue+this.options.scaleSteps*this.options.scaleStepWidth})}this.scale=new this.ScaleClass(i)},addData:function(e,t){n.each(e,function(e,r){if(n.isNumber(e)){this.datasets[r].bars.push(new this.BarClass({value:e,label:t,x:this.scale.calculateBarX(this.scale.valuesCount+1),y:this.scale.endPoint,width:this.scale.calculateBarWidth(this.datasets.length),base:this.scale.endPoint,strokeColor:this.datasets[r].strokeColor,fillColor:this.datasets[r].fillColor}))}},this);this.scale.addXLabel(t);this.update()},removeData:function(){this.scale.removeXLabel();n.each(this.datasets,function(e){e.bars.shift()},this);this.update()},reflow:function(){n.extend(this.BarClass.prototype,{y:this.scale.endPoint,base:this.scale.endPoint});var e=n.extend({height:this.chart.height,width:this.chart.width});this.scale.update(e)},draw:function(e){var t=e||1;this.clear();var r=this.chart.ctx;this.scale.draw(t);n.each(this.datasets,function(e,r){n.each(e.bars,function(e,n){var i=this.scale.calculateBarY(this.datasets,r,n,e.value),s=this.scale.calculateBarHeight(this.datasets,r,n,e.value);e.transition({base:this.scale.endPoint-(Math.abs(s)-Math.abs(i)),x:this.scale.calculateBarX(n),y:Math.abs(i),height:Math.abs(s),width:this.scale.calculateBarWidth(this.datasets.length)},t).draw()},this)},this)}})}).call(this)